org.mozilla.javascript.tools

## Class SourceReader

- java.lang.Object
- - org.mozilla.javascript.tools.SourceReader

-     public class SourceReader
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `readFileOrUrl(java.lang.String path, boolean convertToString, java.lang.String defaultEncoding)`
    `static java.net.URL` | `toUrl(java.lang.String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceReader

          public SourceReader()

  - ### Method Detail

    - #### toUrl

          public static java.net.URL toUrl(java.lang.String path)

    - #### readFileOrUrl

          public static java.lang.Object readFileOrUrl(java.lang.String path,
                                                       boolean convertToString,
                                                       java.lang.String defaultEncoding)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`